Debts for a Company (Inquiry copies will be generated if inquiries are made about a sole proprietorship) Requires debtsandcreditsbasic
Returns only the aggregated debt picture for a company (payment remarks, notifications, historical and current claims). Requires the debtsandcreditsbasic scope. Inquiring about a sole proprietorship generates an inquiry copy to the subject, per Swedish credit information law.
curl --request POST \
--url https://api.example.com/3/{profileCountry}/debts/companies \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"orgNr": "<string>"
}
'import requests
url = "https://api.example.com/3/{profileCountry}/debts/companies"
payload = { "orgNr": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({orgNr: '<string>'})
};
fetch('https://api.example.com/3/{profileCountry}/debts/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/debts/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orgNr' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/debts/companies"
payload := strings.NewReader("{\n \"orgNr\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/3/{profileCountry}/debts/companies")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"orgNr\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/debts/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orgNr\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paymentApplicationsCount": 123,
"applicationsSum": 123,
"notificationsCount": 123,
"notificationsSum": 123,
"notificationsWithAmalCount": 123,
"notificationsWithAmalSum": 123,
"notificationsWithEmalCount": 123,
"notificationsWithEmalSum": 123,
"debtSum": 123,
"latestDebtDate": "2023-11-07T05:31:56Z",
"debtsWithAmalCount": 123,
"debtsWithAmalSum": 123,
"debtsWithEmalCount": 123,
"debtsWithEmalSum": 123,
"distraintAttempt": true,
"notificationsWithAmalLatestYearCount": 123,
"notificationsWithEmalLatestYearCount": 123,
"privateClaimsApplications": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"type": "<string>",
"typeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"publicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"latestYearPublicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"privateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"latestYearPrivateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"historicalDebtDetails": [
{
"date": "2023-11-07T05:31:56Z",
"numberPublic": 123,
"numberPrivate": 123,
"totalBalance": 123
}
],
"distraintRepossessionClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"type": "<string>",
"typeText": "<string>",
"comments": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO Body
Response
OK
Aggregated debt information for a company: payment remarks, notifications, historical and current claims.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.example.com/3/{profileCountry}/debts/companies \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"orgNr": "<string>"
}
'import requests
url = "https://api.example.com/3/{profileCountry}/debts/companies"
payload = { "orgNr": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({orgNr: '<string>'})
};
fetch('https://api.example.com/3/{profileCountry}/debts/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/debts/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orgNr' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/debts/companies"
payload := strings.NewReader("{\n \"orgNr\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/3/{profileCountry}/debts/companies")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"orgNr\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/debts/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orgNr\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paymentApplicationsCount": 123,
"applicationsSum": 123,
"notificationsCount": 123,
"notificationsSum": 123,
"notificationsWithAmalCount": 123,
"notificationsWithAmalSum": 123,
"notificationsWithEmalCount": 123,
"notificationsWithEmalSum": 123,
"debtSum": 123,
"latestDebtDate": "2023-11-07T05:31:56Z",
"debtsWithAmalCount": 123,
"debtsWithAmalSum": 123,
"debtsWithEmalCount": 123,
"debtsWithEmalSum": 123,
"distraintAttempt": true,
"notificationsWithAmalLatestYearCount": 123,
"notificationsWithEmalLatestYearCount": 123,
"privateClaimsApplications": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"type": "<string>",
"typeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"publicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"latestYearPublicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"privateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"latestYearPrivateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"historicalDebtDetails": [
{
"date": "2023-11-07T05:31:56Z",
"numberPublic": 123,
"numberPrivate": 123,
"totalBalance": 123
}
],
"distraintRepossessionClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"type": "<string>",
"typeText": "<string>",
"comments": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}